Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Stream_Type Class Reference

Define the methods for handling the configuration of . More...

`#include <Service_Types.h>`

Inheritance diagram for ACE_Stream_Type

[legend]
Collaboration diagram for ACE_Stream_Type:

[legend]
List of all members.

## Public Methods
| ACE_Stream_Type (void *s, const ACE_TCHAR *identifier, u_int flags = 0)
| ~ACE_Stream_Type (void)
virtual int | suspend (void) const
virtual int | resume (void) const
virtual int | init (int argc, ACE_TCHAR *argv[]) const
virtual int | fini (void) const
virtual int | info (ACE_TCHAR **str, size_t len) const
int | push (ACE_Module_Type *new_module)
| Add a new to the top of the .
int | remove (ACE_Module_Type *module)
| Search for <module> and remove it from the .
ACE_Module_Type* | find (const ACE_TCHAR *mod_name) const
| Locate the with <mod_name>.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
ACE_Module_Type* | head_
| Pointer to the head of the list.

## Detailed Description

Define the methods for handling the configuration of .

## Constructor & Destructor Documentation

ACE_Stream_Type::ACE_Stream_Type ( | void * s,
| const ACE_TCHAR * s_name,
| u_int f = 0 )

ACE_INLINE ACE_Stream_Type::~ACE_Stream_Type ( | void )

## Member Function Documentation

void ACE_Stream_Type::dump ( | void ) const

| Dump the state of an object. Reimplemented from ACE_Service_Type_Impl.

ACE_Module_Type * ACE_Stream_Type::find ( | const ACE_TCHAR * mod_name ) const

| Locate the with <mod_name>.

int ACE_Stream_Type::fini ( | void ) const`[virtual]`

| Reimplemented from ACE_Service_Type_Impl.

int ACE_Stream_Type::info ( | ACE_TCHAR ** str,
| size_t len ) const`[virtual]`

| Reimplemented from ACE_Service_Type_Impl.

int ACE_Stream_Type::init ( | int argc,
| ACE_TCHAR * argv[] ) const`[virtual]`

| Reimplemented from ACE_Service_Type_Impl.

int ACE_Stream_Type::push ( | ACE_Module_Type * new_module )

| Add a new to the top of the .

int ACE_Stream_Type::remove ( | ACE_Module_Type * module )

| Search for <module> and remove it from the .

int ACE_Stream_Type::resume ( | void ) const`[virtual]`

| Reimplemented from ACE_Service_Type_Impl.

int ACE_Stream_Type::suspend ( | void ) const`[virtual]`

| Reimplemented from ACE_Service_Type_Impl.

## Member Data Documentation

ACE_Stream_Type::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Service_Type_Impl.

ACE_Module_Type * ACE_Stream_Type::head_`[private]`

| Pointer to the head of the list.

The documentation for this class was generated from the following files:

- Service_Types.h
- Service_Types.cpp
- Service_Types.i